---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libma06t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x39B0, symBinAddr: 0x3E20, symSize: 0x270 }
  - { offsetInCU: 0xABE, offset: 0xABE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50BC0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAE5, offset: 0xAE5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52B00, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xB07, offset: 0xB07, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52EF0, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB29, offset: 0xB29, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53E90, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB3E, offset: 0xB3E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53EA0, symBinAddr: 0xF4E0, symSize: 0x0 }
  - { offsetInCU: 0xBB9, offset: 0xBB9, size: 0x8, addend: 0x0, symName: _CLASS_NAME, symObjAddr: 0xE438, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBCE, offset: 0xBCE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50820, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0xBD9, offset: 0xBD9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50824, symBinAddr: 0xC0B4, symSize: 0x0 }
  - { offsetInCU: 0xBE4, offset: 0xBE4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50828, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC29, offset: 0xC29, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50980, symBinAddr: 0xC0C0, symSize: 0x0 }
  - { offsetInCU: 0xCA2, offset: 0xCA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50A38, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCC0, offset: 0xCC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50A3C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCD9, offset: 0xCD9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50A40, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0xCF2, offset: 0xCF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50A44, symBinAddr: 0xC184, symSize: 0x0 }
  - { offsetInCU: 0xD0B, offset: 0xD0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x50A48, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x92FA, offset: 0x92FA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x50A50, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9383, offset: 0x9383, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x50A60, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x939C, offset: 0x939C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x50A68, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B5, offset: 0x93B5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50A70, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93CE, offset: 0x93CE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50A78, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93E7, offset: 0x93E7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50A80, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x9401, offset: 0x9401, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50A88, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E7, offset: 0x94E7, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x50AD0, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9500, offset: 0x9500, size: 0x8, addend: 0x0, symName: __ZL26ClassFileLoadHookEventFlag, symObjAddr: 0x50B0C, symBinAddr: 0xC1DC, symSize: 0x0 }
  - { offsetInCU: 0x9520, offset: 0x9520, size: 0x8, addend: 0x0, symName: __ZL16klass_byte_count, symObjAddr: 0x50B18, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x9539, offset: 0x9539, size: 0x8, addend: 0x0, symName: __ZL11klass_bytes, symObjAddr: 0x50B20, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x9552, offset: 0x9552, size: 0x8, addend: 0x0, symName: __ZL10magicIndex, symObjAddr: 0x50B28, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x956B, offset: 0x956B, size: 0x8, addend: 0x0, symName: __ZL11testedClass, symObjAddr: 0x50B10, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x95CD, offset: 0x95CD, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x2AC0, symSize: 0x80 }
  - { offsetInCU: 0x9662, offset: 0x9662, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x2A10, symSize: 0xB0 }
  - { offsetInCU: 0x96BD, offset: 0x96BD, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x2910, symSize: 0x100 }
  - { offsetInCU: 0x9950, offset: 0x9950, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x2B40, symSize: 0xC0 }
  - { offsetInCU: 0x99A2, offset: 0x99A2, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x2C00, symSize: 0x220 }
  - { offsetInCU: 0x9B87, offset: 0x9B87, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x2E20, symSize: 0xA0 }
  - { offsetInCU: 0x9C3A, offset: 0x9C3A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x2EC0, symSize: 0x110 }
  - { offsetInCU: 0x9D30, offset: 0x9D30, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x2FD0, symSize: 0x150 }
  - { offsetInCU: 0x9E8D, offset: 0x9E8D, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3120, symSize: 0x30 }
  - { offsetInCU: 0x9F6E, offset: 0x9F6E, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3150, symSize: 0x150 }
  - { offsetInCU: 0xA166, offset: 0xA166, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x32A0, symSize: 0x160 }
  - { offsetInCU: 0xA426, offset: 0xA426, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x3400, symSize: 0x4A0 }
  - { offsetInCU: 0xA699, offset: 0xA699, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x38A0, symSize: 0x1B0 }
  - { offsetInCU: 0xA8B4, offset: 0xA8B4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x3A50, symSize: 0xA0 }
  - { offsetInCU: 0xA9DB, offset: 0xA9DB, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x3AF0, symSize: 0x20 }
  - { offsetInCU: 0xAA12, offset: 0xAA12, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x3B10, symSize: 0x20 }
  - { offsetInCU: 0xAA49, offset: 0xAA49, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x3B30, symSize: 0x20 }
  - { offsetInCU: 0xAC1C, offset: 0xAC1C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x3B50, symSize: 0x1A0 }
  - { offsetInCU: 0xAF38, offset: 0xAF38, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x3CF0, symSize: 0x130 }
  - { offsetInCU: 0xB0E8, offset: 0xB0E8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x4090, symSize: 0x1B0 }
  - { offsetInCU: 0xB3D7, offset: 0xB3D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4240, symSize: 0x80 }
  - { offsetInCU: 0xB4A0, offset: 0xB4A0, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x42C0, symSize: 0x6A0 }
  - { offsetInCU: 0xC035, offset: 0xC035, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA5D0, symBinAddr: 0x5F20, symSize: 0xB0 }
  - { offsetInCU: 0xC0AC, offset: 0xC0AC, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x4960, symSize: 0x70 }
  - { offsetInCU: 0xC1A0, offset: 0xC1A0, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x49D0, symSize: 0xA0 }
  - { offsetInCU: 0xC2AB, offset: 0xC2AB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x52A0, symBinAddr: 0x4A70, symSize: 0x1F0 }
  - { offsetInCU: 0xC4F8, offset: 0xC4F8, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x5490, symBinAddr: 0x4C60, symSize: 0x310 }
  - { offsetInCU: 0xC994, offset: 0xC994, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x4F70, symSize: 0x40 }
  - { offsetInCU: 0xCA8A, offset: 0xCA8A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x4FB0, symSize: 0x2B0 }
  - { offsetInCU: 0xCE30, offset: 0xCE30, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x5260, symSize: 0xC0 }
  - { offsetInCU: 0xCF76, offset: 0xCF76, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x5320, symSize: 0x10 }
  - { offsetInCU: 0xD038, offset: 0xD038, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x5330, symSize: 0x220 }
  - { offsetInCU: 0xD335, offset: 0xD335, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x5550, symSize: 0x10 }
  - { offsetInCU: 0xD392, offset: 0xD392, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x5560, symSize: 0x2F0 }
  - { offsetInCU: 0xD71F, offset: 0xD71F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9F00, symBinAddr: 0x5850, symSize: 0x10 }
  - { offsetInCU: 0xD7D6, offset: 0xD7D6, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9F10, symBinAddr: 0x5860, symSize: 0x560 }
  - { offsetInCU: 0xDDFE, offset: 0xDDFE, size: 0x8, addend: 0x0, symName: __ZL17ClassFileLoadHookP9_jvmtiEnvP7JNIEnv_P7_jclassP8_jobjectPKcS6_iPKhPiPPh, symObjAddr: 0xA470, symBinAddr: 0x5DC0, symSize: 0x160 }
  - { offsetInCU: 0xDF61, offset: 0xDF61, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA680, symBinAddr: 0x5FD0, symSize: 0x36A }
...
